Skip to content

Create Video sora-2-pro

POST https://www.kkiai.com/v1/video/create

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
imagesarray[string]Required
modelstringRequired
orientationstringRequiredportrait for vertical screen landscape for horizontal screen
promptstringRequired
sizestringRequiredlarge for HD 1080p
durationintegerRequired
watermarkbooleanRequiredDefault: true will prioritize watermark-free, if error occurs, will fall back to watermarked passing false will force the video to be watermark-free, will automatically retry if watermark removal error occurs
privatebooleanRequiredWhether to hide the video, true-video will not be published, and the video cannot be remixed (edited again), default is false

Request Example

json
{
    "images": [],
    "model": "sora-2-pro",
    "orientation": "portrait",
    "prompt": "make animate",
    "size": "large",
    "duration": 15,
    "watermark": false,
    "private": true
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "images": [],
    "model": "sora-2-pro",
    "orientation": "portrait",
    "prompt": "make animate",
    "size": "large",
    "duration": 15,
    "watermark": false,
    "private": true
}'

Response

🟢 200 OK

Response Body

ParameterTypeRequiredDescription
idstringRequired
objectstringRequired
createdintegerRequired
choicesarray[object]Required
  └ indexintegerOptional
  └ messageobjectOptional
  └ finish_reasonstringOptional
usageobjectRequired
  └ prompt_tokensintegerRequired
  └ completion_tokensintegerRequired
  └ total_tokensintegerRequired

Response Example

json
{
    "id": "sora-2:task_01k9009g8ef1esae6388chgcpx",
    "status": "pending",
    "status_update_time": 1762010645686
}